--- display.c.old	2016-03-07 21:53:55.481823000 +0900
+++ display.c	2016-03-07 22:11:47.751482000 +0900
@@ -196,9 +196,9 @@
   if (isReadOnly) i = '%';
   else if (edited) i = '*';
   else i = '-';
-  printw("-%c%c  %s       --0x%llX", i, i, baseName, base + cursor);
-  if (MAX(fileSize, lastEditedLoc)) printw("/0x%llX", getfilesize());
-  if (mode == bySector) printw("--sector %lld", (base + cursor) / SECTOR_SIZE);
+  printw("-%c%c  %s       --0x%lX", i, i, baseName, base + cursor);
+  if (MAX(fileSize, lastEditedLoc)) printw("/0x%lX", getfilesize());
+  if (mode == bySector) printw("--sector %ld", (base + cursor) / SECTOR_SIZE);
   {
     int c = (cursor < nbBytes) ? buffer[cursor] : ' ';
     printw("--%3d--", c);
@@ -218,12 +218,16 @@
   PRINTW(("%08lX%c", (int) (base + offset), (cursor_line ? '>' : ' ')));
   if (cursor < max) {
     cursor_attr = bufferAttr[cursor];
-    bufferAttr[cursor] = cursor_attr | A_UNDERLINE;
+    bufferAttr[cursor] = cursor_attr | A_REVERSE;
   }
   for (i = offset; i < offset + lineLength; i++) {
     cursor_clmn = ((i % lineLength) == (cursor % lineLength));
-    attr = (cursor_line && hexOrAscii) ? A_UNDERLINE : 0;
+    attr = (cursor_line && hexOrAscii) ? A_REVERSE : 0;
     vc = (cursor_clmn && (hexOrAscii || (!hexOrAscii && cursor_line))) ? '|' : ' ';
+    if (vc == '|') {
+      attr |= A_REVERSE;
+      vc = ' ';
+    }
     MAXATTRPRINTW((bufferAttr[i] & MARKED) | attr, (((i - offset) % blocSize) ? "%c" : " %c", vc));
     if (i < max) {
       ATTRPRINTW(
@@ -318,8 +322,8 @@
   getnstr(tmp, BLOCK_SEARCH_SIZE - 1);
   noecho();
   if (strbeginswith(tmp, "0x"))
-    err = sscanf(tmp + strlen("0x"), "%llx", i);
+    err = sscanf(tmp + strlen("0x"), "%lx", i);
   else
-    err = sscanf(tmp, "%lld", i);
+    err = sscanf(tmp, "%ld", i);
   return err == 1;
 }
